Issue 126258 - javadoc fails to build
Summary: javadoc fails to build
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.2.0-dev
Hardware: PC Linux, all
: P5 (lowest) Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-22 08:55 UTC by hramrach
Modified: 2015-09-27 00:05 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
pescetti: 4.1.2_release_blocker+


Attachments
the javadoc log (13.07 KB, text/plain)
2015-04-22 08:55 UTC, hramrach
no flags Details
Don't patch files accross ../ (506 bytes, patch)
2015-07-20 08:01 UTC, Alexander Pyhalov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description hramrach 2015-04-22 08:55:50 UTC
Created attachment 84681 [details]
the javadoc log

mkdir -p ../../unxlngx6.pro/bin/odkcommon/docs/java/ref/        
/usr/bin/javadoc -J-Xmx120m -use -splitindex -windowtitle "Java UNO Runtime Reference" -header "UDK 3.2.7 Java API Reference" -d ../../unxlngx6.pro/bin/odkcommon/docs/java/ref -sourcepath ../../unxlngx6.pro/misc/java_src -classpath /scratch/build/aoo/main/solver/420/unxlngx6.pro/bin/ridl.jar -linkoffline ../../common/ref ./uno -linkoffline http://java.sun.com/j2se/1.4.1/docs/api ./java com.sun.star.comp.helper         com.sun.star.lib.uno.helper         com.sun.star.lib.unoloader         com.sun.star.uno         ../../unxlngx6.pro/misc/java_src/com/sun/star/lib/util/UrlToFileMapper.java > ../../unxlngx6.pro/misc/javadoc_log.txt
../../unxlngx6.pro/misc/java_src/com/sun/star/comp/helper/Bootstrap.java:164: warning - Tag @see:illegal character: "47" in "cppuhelper/defaultBootstrap_InitialComponentContext()"
../../unxlngx6.pro/misc/java_src/com/sun/star/comp/helper/Bootstrap.java:164: warning - Tag @see: missing '#': "cppuhelper/defaultBootstrap_InitialComponentContext()"
../../unxlngx6.pro/misc/java_src/com/sun/star/comp/helper/Bootstrap.java:164: warning - Tag @see: can't find cppuhelper/defaultBootstrap_InitialComponentContext() in com.sun.star.comp.helper.Bootstrap
../../unxlngx6.pro/misc/java_src/com/sun/star/comp/helper/Bootstrap.java:178: warning - Tag @see:illegal character: "47" in "cppuhelper/defaultBootstrap_InitialComponentContext()"
../../unxlngx6.pro/misc/java_src/com/sun/star/comp/helper/Bootstrap.java:178: warning - Tag @see: missing '#': "cppuhelper/defaultBootstrap_InitialComponentContext()"
../../unxlngx6.pro/misc/java_src/com/sun/star/comp/helper/Bootstrap.java:178: warning - Tag @see: can't find cppuhelper/defaultBootstrap_InitialComponentContext() in com.sun.star.comp.helper.Bootstrap
../../unxlngx6.pro/misc/java_src/com/sun/star/comp/helper/SharedLibraryLoader.java:41: warning - Tag @see: reference not found: com.sun.star.comp.servicemanager.ServiceManager
../../unxlngx6.pro/misc/java_src/com/sun/star/lib/uno/helper/Factory.java:40: warning - @attention is an unknown tag.
../../unxlngx6.pro/misc/java_src/com/sun/star/lib/uno/helper/PropertySet.java:129: warning - @param argument "Type" is not a parameter name.
../../unxlngx6.pro/misc/java_src/com/sun/star/lib/uno/helper/PropertySet.java:148: warning - @param argument "handle" is not a parameter name.
../../unxlngx6.pro/misc/java_src/com/sun/star/lib/uno/helper/PropertySet.java:148: warning - @param argument "Type" is not a parameter name.
../../unxlngx6.pro/misc/java_src/com/sun/star/lib/uno/helper/PropertySet.java:800: warning - @param argument "value" is not a parameter name.
patch ../../unxlngx6.pro/bin/odkcommon/docs/java/ref/index.html idl_ref_javadoc.patch
Invalid file name ../../unxlngx6.pro/bin/odkcommon/docs/java/ref/index.html -- skipping patch
dmake:  Error code 1, while making '../../unxlngx6.pro/bin/odkcommon/docs/java/ref/index.html'
dmake:  '../../unxlngx6.pro/bin/odkcommon/docs/java/ref/index.html' removed.
Comment 1 Kay 2015-05-04 22:08:16 UTC
What version of java are you using?

My build on linux-32 with an older java 7 is fine.
Comment 2 Alexander Pyhalov 2015-07-20 07:40:51 UTC
What version of GNU patch are you using?
Comment 3 Alexander Pyhalov 2015-07-20 08:01:44 UTC
Created attachment 84831 [details]
Don't patch files accross ../

The issue seems to be in GNU patch - it refuses to patch files outside of current directory:
$ echo aa> file1
$ echo bb> file2
$ mkdir 1
$ diff -u file1 file2> 1/patch
$ cd 1
$ patch ../file1 patch
Invalid file name ../file1 -- skipping patch

And OO makes 
patch ../../unxsogi.pro/bin/odkcommon/docs/java/ref/index.html idl_ref_javadoc.patch

which leads to
 
Invalid file name ../../unxsogi.pro/bin/odkcommon/docs/java/ref/index.html -- skipping patch
Comment 4 hramrach 2015-07-20 08:49:29 UTC
Thanks for looking into this. I have GNU patch 2.7.5

I will try the attached patch later
Comment 5 hramrach 2015-07-20 10:44:45 UTC
ok, it seems javadoc works with this patch.
Comment 6 Andrea Pescetti 2015-08-29 20:46:10 UTC
I suggest that we include this patch in 4.1.2:
- One-line patch
- Fixes a build problem when using a recent version of GNU Patch, which does not support patching files in the ".." directory any longer, see http://savannah.gnu.org/forum/forum.php?forum_id=7361
- Affects the build process only and not the program operations

It is needed unless one builds with --disable-odk or on an old system; so it's very helpful to include it in 4.1.2.
Comment 7 SVN Robot 2015-08-29 22:02:49 UTC
"pescetti" committed SVN revision 1700078 into trunk:
#i126258# Fix build on systems using a recent version of GNU Patch.
Comment 8 Andrea Pescetti 2015-09-24 21:51:16 UTC
As discussed on dev list: accepted for OpenOffice 4.1.2.
Comment 9 SVN Robot 2015-09-24 21:58:31 UTC
"pescetti" committed SVN revision 1705171 into branches/AOO410:
#i126258# Fix build on systems using a recent version of GNU Patch.
Comment 10 Andrea Pescetti 2015-09-25 06:55:17 UTC
Committed to both trunk and AOO410 for OpenOffice 4.1.2. @Alexander: Thank you for the fix!
Comment 11 Andrea Pescetti 2015-09-27 00:05:43 UTC
Closing, no QA needed since this is a build fix.